openQA Project - action #54464

gemu-img convert failed
2019-07-19 10:14 - jadamek

Status: Rejected Start date: 2019-07-19
Priority: Normal Due date:

Assignee: okurz % Done: 0%
Category: Concrete Bugs Estimated time: 0.00 hour
Target version: Done

Difficulty:

Description

| had the issue just below with two workers (opengaworker7 and 6):

[2019-07-18T16:24:32.567 CEST] [debug] gemu-img: Could not open '/var/lib/openga/pool/11/raid/hd0-overlay8': Could not open
backing file: Could not open backing file: Could not open backing file: Could not open backing file: Could not open backing file: Could
not open backing file: Could not open backing file: Could not open backing file: Could not open backing file: Could not open
'lvar/lib/openqa/pool/11/sle-12-SP4-x86_64-ha-alpha-alpha-node01.qcow2': No such file or directory

This is not the first time | see this message, perhaps it's a known issue.

| know that other poo are opened for opengaworker7 (poo#54074 and poo#49694) but I'm not aware of any for opengaworker6.
List of failed tests:

worker 6 https://openqga.suse.de/tests/3090100

worker 6 https://openga.suse.de/tests/3088928
worker 7 https://openga.suse.de/tests/3087514

The test was re-triggered by a POST command and was ok in opengaworker9.
worker 9 https://openqga.suse.de/tests/3092394

| see poo#54128 as well but looks like different.

Related issues:
Is duplicate of openQA Project - action #46742: test incompletes trying to re... Resolved 2019-01-28 2020-02-18

History

#1 - 2019-07-29 07:46 - jadamek

Actually, this issue seems to be not related to specific workers at all.
New errors with the last build '0103@0248'":

https://openga.suse.de/tests/3157016 ==> opengaworker9:12
https://openqa.suse.de/tests/3157020 ==> openqaworker8:21
https://openga.suse.de/tests/3156008 ==> opengaworker7:18
https://openga.suse.de/tests/3156011 ==> opengaworker6:16
https://openqga.suse.de/tests/3156980 ==> opengaworker8:8
https://openga.suse.de/tests/3156085 ==> opengaworker7:7

https://openga.suse.de/tests/3156083 ==> opengaworker13:9

#2 - 2019-08-20 14:53 - okurz

- Is duplicate of action #46742: test incompletes trying to revert to gemu snapshot auto_review:"Could not open backing file: Could not open
.*.gcow.*No such file or directory", likely premature deletion of files from cache added

#3 - 2019-10-01 08:29 - coolo
- Project changed from openQA Infrastructure to openQA Project

- Subject changed from gemu-img convert failed in some workers to gemu-img convert failed

#4 - 2019-10-01 09:14 - okurz
- Category set to Concrete Bugs

- Status changed from New to Rejected
- Assignee set to okurz

- Target version set to Done

then we can actually close it as the duplicate it is.

Files

worker6-1.autoinst-log.txt 625 KB 2019-07-19 jadamek
worker6-2.autoinst-log.txt 633 KB 2019-07-19 jadamek
worker7-1.autoinst-log.txt 626 KB 2019-07-19 jadamek
